source: git/libfac/configure @ 3e55bc

spielwiese
Last change on this file since 3e55bc was 3e55bc, checked in by Hans Schönemann <hannes@…>, 27 years ago
* hannes/michael: libfac 0.2.4 git-svn-id: file:///usr/local/Singular/svn/trunk@377 2c84dea3-7e68-4137-9b89-c4e89433aadc
  • Property mode set to 100755
File size: 34.8 KB
Line 
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.10
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14ac_help="$ac_help
15  --with-debug    build with debugging options turned on"
16ac_help="$ac_help
17  --with-Singular build for use with Singular"
18
19# Initialize some variables set by options.
20# The variables have the same names as the options, with
21# dashes changed to underlines.
22build=NONE
23cache_file=./config.cache
24exec_prefix=NONE
25host=NONE
26no_create=
27nonopt=NONE
28no_recursion=
29prefix=NONE
30program_prefix=NONE
31program_suffix=NONE
32program_transform_name=s,x,x,
33silent=
34site=
35srcdir=
36target=NONE
37verbose=
38x_includes=NONE
39x_libraries=NONE
40bindir='${exec_prefix}/bin'
41sbindir='${exec_prefix}/sbin'
42libexecdir='${exec_prefix}/libexec'
43datadir='${prefix}/share'
44sysconfdir='${prefix}/etc'
45sharedstatedir='${prefix}/com'
46localstatedir='${prefix}/var'
47libdir='${exec_prefix}/lib'
48includedir='${prefix}/include'
49oldincludedir='/usr/include'
50infodir='${prefix}/info'
51mandir='${prefix}/man'
52
53# Initialize some other variables.
54subdirs=
55MFLAGS= MAKEFLAGS=
56
57ac_prev=
58for ac_option
59do
60
61  # If the previous option needs an argument, assign it.
62  if test -n "$ac_prev"; then
63    eval "$ac_prev=\$ac_option"
64    ac_prev=
65    continue
66  fi
67
68  case "$ac_option" in
69  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
70  *) ac_optarg= ;;
71  esac
72
73  # Accept the important Cygnus configure options, so we can diagnose typos.
74
75  case "$ac_option" in
76
77  -bindir | --bindir | --bindi | --bind | --bin | --bi)
78    ac_prev=bindir ;;
79  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
80    bindir="$ac_optarg" ;;
81
82  -build | --build | --buil | --bui | --bu)
83    ac_prev=build ;;
84  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
85    build="$ac_optarg" ;;
86
87  -cache-file | --cache-file | --cache-fil | --cache-fi \
88  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
89    ac_prev=cache_file ;;
90  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
91  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
92    cache_file="$ac_optarg" ;;
93
94  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
95    ac_prev=datadir ;;
96  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
97  | --da=*)
98    datadir="$ac_optarg" ;;
99
100  -disable-* | --disable-*)
101    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
102    # Reject names that are not valid shell variable names.
103    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
104      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
105    fi
106    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
107    eval "enable_${ac_feature}=no" ;;
108
109  -enable-* | --enable-*)
110    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
111    # Reject names that are not valid shell variable names.
112    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
113      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
114    fi
115    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
116    case "$ac_option" in
117      *=*) ;;
118      *) ac_optarg=yes ;;
119    esac
120    eval "enable_${ac_feature}='$ac_optarg'" ;;
121
122  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
123  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
124  | --exec | --exe | --ex)
125    ac_prev=exec_prefix ;;
126  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
127  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
128  | --exec=* | --exe=* | --ex=*)
129    exec_prefix="$ac_optarg" ;;
130
131  -gas | --gas | --ga | --g)
132    # Obsolete; use --with-gas.
133    with_gas=yes ;;
134
135  -help | --help | --hel | --he)
136    # Omit some internal or obsolete options to make the list less imposing.
137    # This message is too long to be a string in the A/UX 3.1 sh.
138    cat << EOF
139Usage: configure [options] [host]
140Options: [defaults in brackets after descriptions]
141Configuration:
142  --cache-file=FILE       cache test results in FILE
143  --help                  print this message
144  --no-create             do not create output files
145  --quiet, --silent       do not print \`checking...' messages
146  --version               print the version of autoconf that created configure
147Directory and file names:
148  --prefix=PREFIX         install architecture-independent files in PREFIX
149                          [$ac_default_prefix]
150  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
151                          [same as prefix]
152  --bindir=DIR            user executables in DIR [EPREFIX/bin]
153  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
154  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
155  --datadir=DIR           read-only architecture-independent data in DIR
156                          [PREFIX/share]
157  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
158  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
159                          [PREFIX/com]
160  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
161  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
162  --includedir=DIR        C header files in DIR [PREFIX/include]
163  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
164  --infodir=DIR           info documentation in DIR [PREFIX/info]
165  --mandir=DIR            man documentation in DIR [PREFIX/man]
166  --srcdir=DIR            find the sources in DIR [configure dir or ..]
167  --program-prefix=PREFIX prepend PREFIX to installed program names
168  --program-suffix=SUFFIX append SUFFIX to installed program names
169  --program-transform-name=PROGRAM
170                          run sed PROGRAM on installed program names
171EOF
172    cat << EOF
173Host type:
174  --build=BUILD           configure for building on BUILD [BUILD=HOST]
175  --host=HOST             configure for HOST [guessed]
176  --target=TARGET         configure for TARGET [TARGET=HOST]
177Features and packages:
178  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
179  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
180  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
181  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
182  --x-includes=DIR        X include files are in DIR
183  --x-libraries=DIR       X library files are in DIR
184EOF
185    if test -n "$ac_help"; then
186      echo "--enable and --with options recognized:$ac_help"
187    fi
188    exit 0 ;;
189
190  -host | --host | --hos | --ho)
191    ac_prev=host ;;
192  -host=* | --host=* | --hos=* | --ho=*)
193    host="$ac_optarg" ;;
194
195  -includedir | --includedir | --includedi | --included | --include \
196  | --includ | --inclu | --incl | --inc)
197    ac_prev=includedir ;;
198  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
199  | --includ=* | --inclu=* | --incl=* | --inc=*)
200    includedir="$ac_optarg" ;;
201
202  -infodir | --infodir | --infodi | --infod | --info | --inf)
203    ac_prev=infodir ;;
204  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
205    infodir="$ac_optarg" ;;
206
207  -libdir | --libdir | --libdi | --libd)
208    ac_prev=libdir ;;
209  -libdir=* | --libdir=* | --libdi=* | --libd=*)
210    libdir="$ac_optarg" ;;
211
212  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
213  | --libexe | --libex | --libe)
214    ac_prev=libexecdir ;;
215  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
216  | --libexe=* | --libex=* | --libe=*)
217    libexecdir="$ac_optarg" ;;
218
219  -localstatedir | --localstatedir | --localstatedi | --localstated \
220  | --localstate | --localstat | --localsta | --localst \
221  | --locals | --local | --loca | --loc | --lo)
222    ac_prev=localstatedir ;;
223  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
224  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
225  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
226    localstatedir="$ac_optarg" ;;
227
228  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
229    ac_prev=mandir ;;
230  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
231    mandir="$ac_optarg" ;;
232
233  -nfp | --nfp | --nf)
234    # Obsolete; use --without-fp.
235    with_fp=no ;;
236
237  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
238  | --no-cr | --no-c)
239    no_create=yes ;;
240
241  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
242  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
243    no_recursion=yes ;;
244
245  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
246  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
247  | --oldin | --oldi | --old | --ol | --o)
248    ac_prev=oldincludedir ;;
249  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
250  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
251  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
252    oldincludedir="$ac_optarg" ;;
253
254  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
255    ac_prev=prefix ;;
256  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
257    prefix="$ac_optarg" ;;
258
259  -program-prefix | --program-prefix | --program-prefi | --program-pref \
260  | --program-pre | --program-pr | --program-p)
261    ac_prev=program_prefix ;;
262  -program-prefix=* | --program-prefix=* | --program-prefi=* \
263  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
264    program_prefix="$ac_optarg" ;;
265
266  -program-suffix | --program-suffix | --program-suffi | --program-suff \
267  | --program-suf | --program-su | --program-s)
268    ac_prev=program_suffix ;;
269  -program-suffix=* | --program-suffix=* | --program-suffi=* \
270  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
271    program_suffix="$ac_optarg" ;;
272
273  -program-transform-name | --program-transform-name \
274  | --program-transform-nam | --program-transform-na \
275  | --program-transform-n | --program-transform- \
276  | --program-transform | --program-transfor \
277  | --program-transfo | --program-transf \
278  | --program-trans | --program-tran \
279  | --progr-tra | --program-tr | --program-t)
280    ac_prev=program_transform_name ;;
281  -program-transform-name=* | --program-transform-name=* \
282  | --program-transform-nam=* | --program-transform-na=* \
283  | --program-transform-n=* | --program-transform-=* \
284  | --program-transform=* | --program-transfor=* \
285  | --program-transfo=* | --program-transf=* \
286  | --program-trans=* | --program-tran=* \
287  | --progr-tra=* | --program-tr=* | --program-t=*)
288    program_transform_name="$ac_optarg" ;;
289
290  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
291  | -silent | --silent | --silen | --sile | --sil)
292    silent=yes ;;
293
294  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
295    ac_prev=sbindir ;;
296  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
297  | --sbi=* | --sb=*)
298    sbindir="$ac_optarg" ;;
299
300  -sharedstatedir | --sharedstatedir | --sharedstatedi \
301  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
302  | --sharedst | --shareds | --shared | --share | --shar \
303  | --sha | --sh)
304    ac_prev=sharedstatedir ;;
305  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
306  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
307  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
308  | --sha=* | --sh=*)
309    sharedstatedir="$ac_optarg" ;;
310
311  -site | --site | --sit)
312    ac_prev=site ;;
313  -site=* | --site=* | --sit=*)
314    site="$ac_optarg" ;;
315
316  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
317    ac_prev=srcdir ;;
318  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
319    srcdir="$ac_optarg" ;;
320
321  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
322  | --syscon | --sysco | --sysc | --sys | --sy)
323    ac_prev=sysconfdir ;;
324  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
325  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
326    sysconfdir="$ac_optarg" ;;
327
328  -target | --target | --targe | --targ | --tar | --ta | --t)
329    ac_prev=target ;;
330  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
331    target="$ac_optarg" ;;
332
333  -v | -verbose | --verbose | --verbos | --verbo | --verb)
334    verbose=yes ;;
335
336  -version | --version | --versio | --versi | --vers)
337    echo "configure generated by autoconf version 2.10"
338    exit 0 ;;
339
340  -with-* | --with-*)
341    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
342    # Reject names that are not valid shell variable names.
343    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
344      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
345    fi
346    ac_package=`echo $ac_package| sed 's/-/_/g'`
347    case "$ac_option" in
348      *=*) ;;
349      *) ac_optarg=yes ;;
350    esac
351    eval "with_${ac_package}='$ac_optarg'" ;;
352
353  -without-* | --without-*)
354    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
355    # Reject names that are not valid shell variable names.
356    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
357      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
358    fi
359    ac_package=`echo $ac_package| sed 's/-/_/g'`
360    eval "with_${ac_package}=no" ;;
361
362  --x)
363    # Obsolete; use --with-x.
364    with_x=yes ;;
365
366  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
367  | --x-incl | --x-inc | --x-in | --x-i)
368    ac_prev=x_includes ;;
369  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
370  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
371    x_includes="$ac_optarg" ;;
372
373  -x-libraries | --x-libraries | --x-librarie | --x-librari \
374  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
375    ac_prev=x_libraries ;;
376  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
377  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
378    x_libraries="$ac_optarg" ;;
379
380  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
381    ;;
382
383  *)
384    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
385      echo "configure: warning: $ac_option: invalid host type" 1>&2
386    fi
387    if test "x$nonopt" != xNONE; then
388      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
389    fi
390    nonopt="$ac_option"
391    ;;
392
393  esac
394done
395
396if test -n "$ac_prev"; then
397  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
398fi
399
400trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
401
402# File descriptor usage:
403# 0 standard input
404# 1 file creation
405# 2 errors and warnings
406# 3 some systems may open it to /dev/tty
407# 4 used on the Kubota Titan
408# 6 checking for... messages and results
409# 5 compiler messages saved in config.log
410if test "$silent" = yes; then
411  exec 6>/dev/null
412else
413  exec 6>&1
414fi
415exec 5>./config.log
416
417echo "\
418This file contains any messages produced by compilers while
419running configure, to aid debugging if configure makes a mistake.
420" 1>&5
421
422# Strip out --no-create and --no-recursion so they do not pile up.
423# Also quote any args containing shell metacharacters.
424ac_configure_args=
425for ac_arg
426do
427  case "$ac_arg" in
428  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
429  | --no-cr | --no-c) ;;
430  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
431  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
432  *" "*|*"      "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
433  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
434  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
435  esac
436done
437
438# NLS nuisances.
439# Only set LANG and LC_ALL to C if already set.
440# These must not be set unconditionally because not all systems understand
441# e.g. LANG=C (notably SCO).
442if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
443if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
444
445# confdefs.h avoids OS command line length limits that DEFS can exceed.
446rm -rf conftest* confdefs.h
447# AIX cpp loses on an empty file, so make sure it contains at least a newline.
448echo > confdefs.h
449
450# A filename unique to this package, relative to the directory that
451# configure is in, which we can look for to find out if srcdir is correct.
452ac_unique_file=factor.h
453
454# Find the source files, if location was not specified.
455if test -z "$srcdir"; then
456  ac_srcdir_defaulted=yes
457  # Try the directory containing this script, then its parent.
458  ac_prog=$0
459  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
460  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
461  srcdir=$ac_confdir
462  if test ! -r $srcdir/$ac_unique_file; then
463    srcdir=..
464  fi
465else
466  ac_srcdir_defaulted=no
467fi
468if test ! -r $srcdir/$ac_unique_file; then
469  if test "$ac_srcdir_defaulted" = yes; then
470    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
471  else
472    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
473  fi
474fi
475srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
476
477# Prefer explicitly selected file to automatically selected ones.
478if test -z "$CONFIG_SITE"; then
479  if test "x$prefix" != xNONE; then
480    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
481  else
482    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
483  fi
484fi
485for ac_site_file in $CONFIG_SITE; do
486  if test -r "$ac_site_file"; then
487    echo "loading site script $ac_site_file"
488    . "$ac_site_file"
489  fi
490done
491
492if test -r "$cache_file"; then
493  echo "loading cache $cache_file"
494  . $cache_file
495else
496  echo "creating cache $cache_file"
497  > $cache_file
498fi
499
500ac_ext=c
501# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
502ac_cpp='$CPP $CPPFLAGS'
503ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
504ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
505
506if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
507  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
508  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
509    ac_n= ac_c='
510' ac_t='        '
511  else
512    ac_n=-n ac_c= ac_t=
513  fi
514else
515  ac_n= ac_c='\c' ac_t=
516fi
517
518
519
520
521libfac_name="\"Factorization and characteristic sets library\""
522
523libfac_version="0.2.4"
524
525libfac_date="\"May 30 1997\""
526
527libfac_author="\"M. Messollen\""
528
529
530libfac="libfac"
531
532libfac_g="libfac-g"
533
534libsingfac="libsingfac"
535
536libsingfac_g="libsingfac-g"
537
538factorH="factor.h"
539
540
541
542# Check whether --with-debug or --without-debug was given.
543if test "${with_debug+set}" = set; then
544  withval="$with_debug"
545  :
546fi
547
548
549# Check whether --with-Singular or --without-Singular was given.
550if test "${with_Singular+set}" = set; then
551  withval="$with_Singular"
552  :
553fi
554
555
556if test "$with_Singular" = yes; then
557  cat >> confdefs.h <<\EOF
558#define HAVE_SINGULAR 1
559EOF
560
561  if test "$with_debug" = yes; then
562     targetname="libsingfac-g"
563  else
564     targetname="libsingfac"
565  fi
566else
567  if test "$with_debug" = yes; then
568     targetname="libfac-g"
569  else
570     targetname="libfac"
571  fi
572fi
573
574if (test "x${prefix} != xNONE && test "${prefix} != "/usr/local") || \
575  test "${ac_default_prefix}" != "/usr/local" || \
576  test "${includedir}" != '${prefix}/include'; then
577  CPPFLAGS="-I${includedir} ${CPPFLAGS}"
578fi
579CPPFLAGS="-I./factor ${CPPFLAGS}"
580
581if (test "x${prefix} != xNONE && test "${prefix} != "/usr/local") || \
582  test "${ac_default_prefix}" != "/usr/local" || \
583  test "${libdir}" != '${prefix}/lib'; then
584  LDFLAGS="-L${libdir} ${LDFLAGS}"
585fi
586LDFLAGS="-L. ${LDFLAGS}"
587
588if test "$with_debug" = yes; then
589  CXXFLAGS="-g"
590else
591  CXXFLAGS="-O"
592  cat >> confdefs.h <<\EOF
593#define NDEBUG 1
594EOF
595 
596fi
597
598ac_ext=C
599# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
600ac_cpp='$CXXCPP $CPPFLAGS'
601ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
602ac_link='${CXX-g++} -o conftest $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
603 
604for ac_prog in $CCC c++ g++ gcc CC cxx
605do
606# Extract the first word of "$ac_prog", so it can be a program name with args.
607set dummy $ac_prog; ac_word=$2
608echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
609if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
610  echo $ac_n "(cached) $ac_c" 1>&6
611else
612  if test -n "$CXX"; then
613  ac_cv_prog_CXX="$CXX" # Let the user override the test.
614else
615  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
616  for ac_dir in $PATH; do
617    test -z "$ac_dir" && ac_dir=.
618    if test -f $ac_dir/$ac_word; then
619      ac_cv_prog_CXX="$ac_prog"
620      break
621    fi
622  done
623  IFS="$ac_save_ifs"
624fi
625fi
626CXX="$ac_cv_prog_CXX"
627if test -n "$CXX"; then
628  echo "$ac_t""$CXX" 1>&6
629else
630  echo "$ac_t""no" 1>&6
631fi
632
633test -n "$CXX" && break
634done
635test -n "$CXX" || CXX="gcc"
636
637
638echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
639if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
640  echo $ac_n "(cached) $ac_c" 1>&6
641else
642  cat > conftest.C <<EOF
643#ifdef __GNUC__
644  yes;
645#endif
646EOF
647if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:648: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
648  ac_cv_prog_gxx=yes
649else
650  ac_cv_prog_gxx=no
651fi
652fi
653
654echo "$ac_t""$ac_cv_prog_gxx" 1>&6
655if test $ac_cv_prog_gxx = yes; then
656  GXX=yes
657  if test "${CXXFLAGS+set}" != set; then
658    echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
659if eval "test \"`echo '$''{'ac_cv_prog_gxx_g'+set}'`\" = set"; then
660  echo $ac_n "(cached) $ac_c" 1>&6
661else
662  echo 'void f(){}' > conftest.cc
663if test -z "`${CXX-g++} -g -c conftest.cc 2>&1`"; then
664  ac_cv_prog_gxx_g=yes
665else
666  ac_cv_prog_gxx_g=no
667fi
668rm -f conftest*
669
670fi
671
672echo "$ac_t""$ac_cv_prog_gxx_g" 1>&6
673    if test $ac_cv_prog_gxx_g = yes; then
674      CXXFLAGS="-g -O"
675    else
676      CXXFLAGS="-O"
677    fi
678  fi
679else
680  GXX=
681  test "${CXXFLAGS+set}" = set || CXXFLAGS="-g"
682fi
683
684echo $ac_n "checking how to run the C++ preprocessor""... $ac_c" 1>&6
685if test -z "$CXXCPP"; then
686if eval "test \"`echo '$''{'ac_cv_prog_CXXCPP'+set}'`\" = set"; then
687  echo $ac_n "(cached) $ac_c" 1>&6
688else
689  ac_ext=C
690# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
691ac_cpp='$CXXCPP $CPPFLAGS'
692ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
693ac_link='${CXX-g++} -o conftest $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
694  CXXCPP="${CXX-g++} -E"
695  cat > conftest.$ac_ext <<EOF
696#line 697 "configure"
697#include "confdefs.h"
698#include <stdlib.h>
699EOF
700ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
701{ (eval echo configure:702: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
702ac_err=`grep -v '^ *+' conftest.out`
703if test -z "$ac_err"; then
704  :
705else
706  echo "$ac_err" >&5
707  rm -rf conftest*
708  CXXCPP=/lib/cpp
709fi
710rm -f conftest*
711  ac_cv_prog_CXXCPP="$CXXCPP"
712fi
713fi
714CXXCPP="$ac_cv_prog_CXXCPP"
715echo "$ac_t""$CXXCPP" 1>&6
716
717
718echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
719set dummy ${MAKE-make}; ac_make=$2
720if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
721  echo $ac_n "(cached) $ac_c" 1>&6
722else
723  cat > conftestmake <<\EOF
724all:
725        @echo 'ac_maketemp="${MAKE}"'
726EOF
727# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
728eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
729if test -n "$ac_maketemp"; then
730  eval ac_cv_prog_make_${ac_make}_set=yes
731else
732  eval ac_cv_prog_make_${ac_make}_set=no
733fi
734rm -f conftestmake
735fi
736if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
737  echo "$ac_t""yes" 1>&6
738  SET_MAKE=
739else
740  echo "$ac_t""no" 1>&6
741  SET_MAKE="MAKE=${MAKE-make}"
742fi
743
744# Extract the first word of "ranlib", so it can be a program name with args.
745set dummy ranlib; ac_word=$2
746echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
747if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
748  echo $ac_n "(cached) $ac_c" 1>&6
749else
750  if test -n "$RANLIB"; then
751  ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
752else
753  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
754  for ac_dir in $PATH; do
755    test -z "$ac_dir" && ac_dir=.
756    if test -f $ac_dir/$ac_word; then
757      ac_cv_prog_RANLIB="ranlib"
758      break
759    fi
760  done
761  IFS="$ac_save_ifs"
762  test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
763fi
764fi
765RANLIB="$ac_cv_prog_RANLIB"
766if test -n "$RANLIB"; then
767  echo "$ac_t""$RANLIB" 1>&6
768else
769  echo "$ac_t""no" 1>&6
770fi
771
772# Extract the first word of "ar", so it can be a program name with args.
773set dummy ar; ac_word=$2
774echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
775if eval "test \"`echo '$''{'ac_cv_prog_AR'+set}'`\" = set"; then
776  echo $ac_n "(cached) $ac_c" 1>&6
777else
778  if test -n "$AR"; then
779  ac_cv_prog_AR="$AR" # Let the user override the test.
780else
781  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
782  for ac_dir in $PATH; do
783    test -z "$ac_dir" && ac_dir=.
784    if test -f $ac_dir/$ac_word; then
785      ac_cv_prog_AR="ar"
786      break
787    fi
788  done
789  IFS="$ac_save_ifs"
790fi
791fi
792AR="$ac_cv_prog_AR"
793if test -n "$AR"; then
794  echo "$ac_t""$AR" 1>&6
795else
796  echo "$ac_t""no" 1>&6
797fi
798
799if test -z "$AR"; then
800  { echo "configure: error: Need ar" 1>&2; exit 1; }
801fi
802
803
804ac_safe=`echo "factory.h" | tr './\055' '___'`
805echo $ac_n "checking for factory.h""... $ac_c" 1>&6
806if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
807  echo $ac_n "(cached) $ac_c" 1>&6
808else
809  cat > conftest.$ac_ext <<EOF
810#line 811 "configure"
811#include "confdefs.h"
812#include <factory.h>
813EOF
814ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
815{ (eval echo configure:816: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
816ac_err=`grep -v '^ *+' conftest.out`
817if test -z "$ac_err"; then
818  rm -rf conftest*
819  eval "ac_cv_header_$ac_safe=yes"
820else
821  echo "$ac_err" >&5
822  rm -rf conftest*
823  eval "ac_cv_header_$ac_safe=no"
824fi
825rm -f conftest*
826fi
827if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
828  echo "$ac_t""yes" 1>&6
829  :
830else
831  echo "$ac_t""no" 1>&6
832echo "configure: warning: factory.h not found! Install factory before building libfac!" 1>&2
833fi
834
835
836
837
838echo $ac_n "checking for working const""... $ac_c" 1>&6
839if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
840  echo $ac_n "(cached) $ac_c" 1>&6
841else
842  cat > conftest.$ac_ext <<EOF
843#line 844 "configure"
844#include "confdefs.h"
845
846int main() { return 0; }
847int t() {
848
849/* Ultrix mips cc rejects this.  */
850typedef int charset[2]; const charset x;
851/* SunOS 4.1.1 cc rejects this.  */
852char const *const *ccp;
853char **p;
854/* NEC SVR4.0.2 mips cc rejects this.  */
855struct point {int x, y;};
856static struct point const zero = {0,0};
857/* AIX XL C 1.02.0.0 rejects this.
858   It does not let you subtract one const X* pointer from another in an arm
859   of an if-expression whose if-part is not a constant expression */
860const char *g = "string";
861ccp = &g + (g ? g-g : 0);
862/* HPUX 7.0 cc rejects these. */
863++ccp;
864p = (char**) ccp;
865ccp = (char const *const *) p;
866{ /* SCO 3.2v4 cc rejects this.  */
867  char *t;
868  char const *s = 0 ? (char *) 0 : (char const *) 0;
869
870  *t++ = 0;
871}
872{ /* Someone thinks the Sun supposedly-ANSI compiler will reject this.  */
873  int x[] = {25, 17};
874  const int *foo = &x[0];
875  ++foo;
876}
877{ /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
878  typedef const int *iptr;
879  iptr p = 0;
880  ++p;
881}
882{ /* AIX XL C 1.02.0.0 rejects this saying
883     "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
884  struct s { int j; const int *ap[3]; };
885  struct s *b; b->j = 5;
886}
887{ /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
888  const int foo = 10;
889}
890
891; return 0; }
892EOF
893if { (eval echo configure:894: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
894  rm -rf conftest*
895  ac_cv_c_const=yes
896else
897  rm -rf conftest*
898  ac_cv_c_const=no
899fi
900rm -f conftest*
901
902fi
903
904echo "$ac_t""$ac_cv_c_const" 1>&6
905if test $ac_cv_c_const = no; then
906  cat >> confdefs.h <<\EOF
907#define const
908EOF
909
910fi
911
912echo $ac_n "checking for inline""... $ac_c" 1>&6
913if eval "test \"`echo '$''{'ac_cv_c_inline'+set}'`\" = set"; then
914  echo $ac_n "(cached) $ac_c" 1>&6
915else
916  ac_cv_c_inline=no
917for ac_kw in inline __inline__ __inline; do
918  cat > conftest.$ac_ext <<EOF
919#line 920 "configure"
920#include "confdefs.h"
921
922int main() { return 0; }
923int t() {
924} $ac_kw foo() {
925; return 0; }
926EOF
927if { (eval echo configure:928: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
928  rm -rf conftest*
929  ac_cv_c_inline=$ac_kw; break
930fi
931rm -f conftest*
932
933done
934
935fi
936
937echo "$ac_t""$ac_cv_c_inline" 1>&6
938case "$ac_cv_c_inline" in
939  inline | yes) ;;
940  no) cat >> confdefs.h <<\EOF
941#define inline
942EOF
943 ;;
944  *)  cat >> confdefs.h <<EOF
945#define inline $ac_cv_c_inline
946EOF
947 ;;
948esac
949
950
951if test ${GXX} = yes; then
952  if test "$with_debug" = yes; then
953     CXXFLAGS="-O -g"
954  else
955     CXXFLAGS="-O3 "
956  fi
957  CXXTEMPLFLAGS="-fno-implicit-templates"
958else
959  CXXTEMPFLAGS=""
960fi
961
962 
963trap '' 1 2 15
964cat > confcache <<\EOF
965# This file is a shell script that caches the results of configure
966# tests run on this system so they can be shared between configure
967# scripts and configure runs.  It is not useful on other systems.
968# If it contains results you don't want to keep, you may remove or edit it.
969#
970# By default, configure uses ./config.cache as the cache file,
971# creating it if it does not exist already.  You can give configure
972# the --cache-file=FILE option to use a different cache file; that is
973# what configure does when it calls configure scripts in
974# subdirectories, so they share the cache.
975# Giving --cache-file=/dev/null disables caching, for debugging configure.
976# config.status only pays attention to the cache file if you give it the
977# --recheck option to rerun configure.
978#
979EOF
980# Ultrix sh set writes to stderr and can't be redirected directly,
981# and sets the high bit in the cache file unless we assign to the vars.
982(set) 2>&1 |
983  sed -n "s/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=\${\1='\2'}/p" \
984  >> confcache
985if cmp -s $cache_file confcache; then
986  :
987else
988  if test -w $cache_file; then
989    echo "updating cache $cache_file"
990    cat confcache > $cache_file
991  else
992    echo "not updating unwritable cache $cache_file"
993  fi
994fi
995rm -f confcache
996
997trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
998
999test "x$prefix" = xNONE && prefix=$ac_default_prefix
1000# Let make expand exec_prefix.
1001test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1002
1003# Any assignment to VPATH causes Sun make to only execute
1004# the first set of double-colon rules, so remove it if not needed.
1005# If there is a colon in the path, we need to keep it.
1006if test "x$srcdir" = x.; then
1007  ac_vpsub='/^[         ]*VPATH[        ]*=[^:]*$/d'
1008fi
1009
1010trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1011
1012# Transform confdefs.h into DEFS.
1013# Protect against shell expansion while executing Makefile rules.
1014# Protect against Makefile macro expansion.
1015cat > conftest.defs <<\EOF
1016s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1017s%[     `~#$^&*(){}\\|;'"<>?]%\\&%g
1018s%\[%\\&%g
1019s%\]%\\&%g
1020s%\$%$$%g
1021EOF
1022DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1023rm -f conftest.defs
1024
1025
1026# Without the "./", some shells look in PATH for config.status.
1027: ${CONFIG_STATUS=./config.status}
1028
1029echo creating $CONFIG_STATUS
1030rm -f $CONFIG_STATUS
1031cat > $CONFIG_STATUS <<EOF
1032#! /bin/sh
1033# Generated automatically by configure.
1034# Run this file to recreate the current configuration.
1035# This directory was configured as follows,
1036# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1037#
1038# $0 $ac_configure_args
1039#
1040# Compiler output produced by configure, useful for debugging
1041# configure, is in ./config.log if it exists.
1042
1043ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1044for ac_option
1045do
1046  case "\$ac_option" in
1047  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1048    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1049    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1050  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1051    echo "$CONFIG_STATUS generated by autoconf version 2.10"
1052    exit 0 ;;
1053  -help | --help | --hel | --he | --h)
1054    echo "\$ac_cs_usage"; exit 0 ;;
1055  *) echo "\$ac_cs_usage"; exit 1 ;;
1056  esac
1057done
1058
1059ac_given_srcdir=$srcdir
1060
1061trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1062EOF
1063cat >> $CONFIG_STATUS <<EOF
1064
1065# Protect against being on the right side of a sed subst in config.status.
1066sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1067 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1068$ac_vpsub
1069$extrasub
1070s%@CFLAGS@%$CFLAGS%g
1071s%@CPPFLAGS@%$CPPFLAGS%g
1072s%@CXXFLAGS@%$CXXFLAGS%g
1073s%@DEFS@%$DEFS%g
1074s%@LDFLAGS@%$LDFLAGS%g
1075s%@LIBS@%$LIBS%g
1076s%@exec_prefix@%$exec_prefix%g
1077s%@prefix@%$prefix%g
1078s%@program_transform_name@%$program_transform_name%g
1079s%@bindir@%$bindir%g
1080s%@sbindir@%$sbindir%g
1081s%@libexecdir@%$libexecdir%g
1082s%@datadir@%$datadir%g
1083s%@sysconfdir@%$sysconfdir%g
1084s%@sharedstatedir@%$sharedstatedir%g
1085s%@localstatedir@%$localstatedir%g
1086s%@libdir@%$libdir%g
1087s%@includedir@%$includedir%g
1088s%@oldincludedir@%$oldincludedir%g
1089s%@infodir@%$infodir%g
1090s%@mandir@%$mandir%g
1091s%@libfac_name@%$libfac_name%g
1092s%@libfac_version@%$libfac_version%g
1093s%@libfac_date@%$libfac_date%g
1094s%@libfac_author@%$libfac_author%g
1095s%@libfac@%$libfac%g
1096s%@libfac_g@%$libfac_g%g
1097s%@libsingfac@%$libsingfac%g
1098s%@libsingfac_g@%$libsingfac_g%g
1099s%@factorH@%$factorH%g
1100s%@targetname@%$targetname%g
1101s%@CXX@%$CXX%g
1102s%@CXXCPP@%$CXXCPP%g
1103s%@SET_MAKE@%$SET_MAKE%g
1104s%@RANLIB@%$RANLIB%g
1105s%@AR@%$AR%g
1106s%@CXXTEMPLFLAGS@%$CXXTEMPLFLAGS%g
1107
1108CEOF
1109EOF
1110cat >> $CONFIG_STATUS <<EOF
1111
1112CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1113EOF
1114cat >> $CONFIG_STATUS <<\EOF
1115for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1116  # Support "outfile[:infile]", defaulting infile="outfile.in".
1117  case "$ac_file" in
1118  *:*) ac_file_in=`echo "$ac_file"|sed 's%.*:%%'`
1119       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1120  *) ac_file_in="${ac_file}.in" ;;
1121  esac
1122
1123  # Adjust relative srcdir, etc. for subdirectories.
1124
1125  # Remove last slash and all that follows it.  Not all systems have dirname.
1126  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1127  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1128    # The file is in a subdirectory.
1129    test ! -d "$ac_dir" && mkdir "$ac_dir"
1130    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1131    # A "../" for each directory in $ac_dir_suffix.
1132    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1133  else
1134    ac_dir_suffix= ac_dots=
1135  fi
1136
1137  case "$ac_given_srcdir" in
1138  .)  srcdir=.
1139      if test -z "$ac_dots"; then top_srcdir=.
1140      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1141  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1142  *) # Relative path.
1143    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1144    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1145  esac
1146
1147  echo creating "$ac_file"
1148  rm -f "$ac_file"
1149  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1150  case "$ac_file" in
1151  *Makefile*) ac_comsub="1i\\
1152# $configure_input" ;;
1153  *) ac_comsub= ;;
1154  esac
1155  sed -e "$ac_comsub
1156s%@configure_input@%$configure_input%g
1157s%@srcdir@%$srcdir%g
1158s%@top_srcdir@%$top_srcdir%g
1159" -f conftest.subs $ac_given_srcdir/$ac_file_in > $ac_file
1160fi; done
1161rm -f conftest.subs
1162
1163
1164
1165exit 0
1166EOF
1167chmod +x $CONFIG_STATUS
1168rm -fr confdefs* $ac_clean_files
1169test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1170
1171
Note: See TracBrowser for help on using the repository browser.